> ## Documentation Index
> Fetch the complete documentation index at: https://docs.everprotec.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Invite

> Creates a new verification session invite



## OpenAPI

````yaml POST /website/{siteId}/invite
openapi: 3.1.0
info:
  title: Everprotec Verify Sessions
  description: >-
    This API enables you to create verification sessions and retrieve their
    status.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.everprotec.com/v1
security:
  - basicAuth: []
paths:
  /website/{siteId}/invite:
    post:
      description: Creates a new verification session invite
      parameters:
        - name: siteId
          in: path
          description: >-
            The ID of the site configuration. This can be found in the url for
            your website settings
            ![dashboard.everprotec.com/web/settings/your_site_ID_here](/images/site-id.png)
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: >-
          You can add a custom ID to match invites against your internal user or
          verification session IDs
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInvite'
      responses:
        '200':
          description: New Invite Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewInvite'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateInvite:
      type: object
      properties:
        customId:
          description: Your internal ID for the user or verification session.
          type: string
          maxLength: '128'
    NewInvite:
      required:
        - inviteId
        - url
        - expires
      type: object
      properties:
        inviteId:
          description: The unique ID for the invite.
          type: string
        url:
          description: URL to the verification gateway for this invite.
          type: string
        expires:
          description: >-
            Unix timestamp in seconds for the invite expiration date. This is 24
            hours from the creation date.
          type: integer
          format: int32
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````